Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class AskedButUnknown

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.AskedButUnknown

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class AskedButUnknown

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'Asked But Unknown', and utility methods for working with them. specDomain: V10614 (C-0-D10609-V10610-V10612-V10614-cpt)

See Also:
  `CDAR2Package.getAskedButUnknown()`

Field Summary
`static int` | `ASKU` The 'ASKU' literal value.
`static AskedButUnknown` | `ASKU_LITERAL` The 'ASKU' literal object.
`static int` | `NAV` The 'NAV' literal value.
`static AskedButUnknown` | `NAV_LITERAL` The 'NAV' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'Asked But Unknown' enumerators.

Method Summary
`static AskedButUnknown` | `get(int value)` Returns the 'Asked But Unknown' literal with the specified integer value.
`static AskedButUnknown` | `get(java.lang.String literal)` Returns the 'Asked But Unknown' literal with the specified literal value.
`static AskedButUnknown` | `getByName(java.lang.String name)` Returns the 'Asked But Unknown' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### ASKU

    public static final int ASKU

  The 'ASKU' literal value.

  If the meaning of 'ASKU' literal object isn't clear, there really should be more of a description here...

  See Also:
    `ASKU_LITERAL`, Constant Field Values

### NAV

    public static final int NAV

  The 'NAV' literal value.

  If the meaning of 'NAV' literal object isn't clear, there really should be more of a description here...

  See Also:
    `NAV_LITERAL`, Constant Field Values

### ASKU_LITERAL

    public static final AskedButUnknown ASKU_LITERAL

  The 'ASKU' literal object.

  See Also:
    `ASKU`

### NAV_LITERAL

    public static final AskedButUnknown NAV_LITERAL

  The 'NAV' literal object.

  See Also:
    `NAV`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'Asked But Unknown' enumerators.

Method Detail

### get

    public static AskedButUnknown get(java.lang.String literal)

  Returns the 'Asked But Unknown' literal with the specified literal value.

### getByName

    public static AskedButUnknown getByName(java.lang.String name)

  Returns the 'Asked But Unknown' literal with the specified name.

### get

    public static AskedButUnknown get(int value)

  Returns the 'Asked But Unknown' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD